Bug 24287 - Add ability to record what triggered a given transfer
Summary: Add ability to record what triggered a given transfer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24296
  Show dependency treegraph
 
Reported: 2019-12-20 14:49 UTC by Martin Renvoize
Modified: 2020-05-18 13:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
With the addition of the `reason` field to the `branchtransfers` table this allows us to track what triggered a transfer which is helpful both for later audit and for later use in code where we may want to cancel or replace existing transfers.
Version(s) released in:
20.05.00


Attachments
Bug 24287: Add `trigger` to `branchtransfers` (2.02 KB, patch)
2019-12-23 09:31 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24287: Add `trigger` to `branchtransfers` (2.02 KB, patch)
2020-01-17 11:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24287: Add `trigger` to `branchtransfers` (2.10 KB, patch)
2020-01-17 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24287: Add `trigger` to `branchtransfers` (2.07 KB, patch)
2020-01-17 15:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24287: Add `reason` to `branchtransfers` (2.15 KB, patch)
2020-01-28 12:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-12-20 14:49:12 UTC
The transfers system is very much tied to the Holds/Reserves features at the moment, but slowly some other subsystems are starting to use it too (Stock Rotation, Rotating Collections).

For full audit purposes, we should record what triggered the transfer.

Currently stock rotation misuses 'comments' to record the 'trigger' and these comments can be obliterated by subsequently triggered transfers.
Comment 1 Martin Renvoize 2019-12-23 09:31:00 UTC
Created attachment 96594 [details] [review]
Bug 24287: Add `trigger` to `branchtransfers`

This patch adds the `trigger` field to the `branchtransfers` table to
record what triggered a transfer.
Comment 2 Martin Renvoize 2020-01-17 11:36:55 UTC
Created attachment 97501 [details] [review]
Bug 24287: Add `trigger` to `branchtransfers`

This patch adds the `trigger` field to the `branchtransfers` table to
record what triggered a transfer.
Comment 3 Martin Renvoize 2020-01-17 11:37:52 UTC
Test plan:  Apply patch, run updatedatabase. Varify the new 'trigger' field is added to the database. (Bonus points, check that a fresh install does the same)
Comment 4 Kyle M Hall 2020-01-17 13:59:24 UTC
Created attachment 97516 [details] [review]
Bug 24287: Add `trigger` to `branchtransfers`

This patch adds the `trigger` field to the `branchtransfers` table to
record what triggered a transfer.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Martin Renvoize 2020-01-17 15:59:41 UTC
Created attachment 97532 [details] [review]
Bug 24287: Add `trigger` to `branchtransfers`

This patch adds the `trigger` field to the `branchtransfers` table to
record what triggered a transfer.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2020-01-28 12:55:43 UTC
Created attachment 98023 [details] [review]
Bug 24287: Add `reason` to `branchtransfers`

This patch adds the `reason` field to the `branchtransfers` table to
record what triggered a transfer.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2020-01-28 15:06:33 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-02-10 22:39:23 UTC
enhancement not backported to 19.11.x